import request from '@/utils/request'

// 列表
export function list(data){
  return request({
    url: `/recommendGood/page`,
    method: 'post',
    data
  })
}

// 新增
export function create(data){
  return request({
    url: `/recommendGood/save`,
    method: 'post',
    data
  })
}

// 详情
export function detail(query){
  return request({
    url: `/recommendGood/get`,
    method: 'get',
    params: query
  })
}

// 修改
export function edit(data){
  return request({
    url: `/recommendGood/update`,
    method: 'post',
    data
  })
}

// 删除
export function remove(data){
  return request({
    url: `/recommendGood/remove`,
    method: 'post',
    data
  })
}